listen_addresses = ['127.0.0.1:53']

server_names = ['cloudflare', 'cloudflare-ipv6' ]

dnscrypt_servers = true
doh_servers = true
ipv6_servers = true
ipv4_servers = true

require_dnssec = false
require_nolog = true

[sources.'public-resolvers']
urls = [
  'https://raw.githubusercontent.com/DNSCrypt/dnscrypt-resolvers/master/v3/public-resolvers.md',
  'https://download.dnscrypt.info/resolvers-list/v3/public-resolvers.md'
]
cache_file = 'public-resolvers.md'
minisign_key = 'RWQf6LRCGA9i53mlYecO4IzT51TGPpvWucNSCh1CBM0QTaLn73Y7GFO3'
refresh_delay = 72

# etc/resolv.conf:
# nameserver 127.0.0.1
# nameserver ::1